# Uses of Interface
org.eclipse.birt.report.engine.content.ITableGroupContent

Packages that use ITableGroupContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of ITableGroupContent in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return ITableGroupContent
Modifier and Type
Method
Description
`ITableGroupContent`
IReportContent.`createTableGroupContent()`
Create the table group content
Methods in org.eclipse.birt.report.engine.content with parameters of type ITableGroupContent
Modifier and Type
Method
Description
`Object`
IContentVisitor.`visitTableGroup(ITableGroupContent group, Object value)`

## Uses of ITableGroupContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type ITableGroupContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`endTableGroup(ITableGroupContent group)`
End table group
`void`
IContentEmitter.`startTableGroup(ITableGroupContent group)`
Start table group